<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlast/StateMember.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlast.StateMember</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../IDL.html" >IDL</a>.<a href="../idlast.html" >idlast</a>
</div><div class="class-name">class StateMember

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/IDL/idlast.py.html" target="detail">../Synopsis/Parsers/IDL/idlast.py</a></div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StateMember" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line870" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="StateMember-inheritance" src="StateMember-inheritance.png" hspace="8" vspace="8" border="0" usemap="#StateMember-inheritance_map" />
<map name="StateMember-inheritance_map"><area alt="Scopes/Synopsis/Parsers/IDL/idlast/Decl.html" href="Decl.html" shape="rect" coords="32, 7, 232, 31" />
</map>
 <div class="doc">State member of a valuetype &#40;Decl&#41;

Functions:

  memberAccess&#40;&#41; -- integer: 0 == public&#44; 1 == private.
  memberType&#40;&#41;   -- IdlType.Type object for member type.
  constrType&#40;&#41;   -- boolean: true if member type is declared within
                    the StateMember.
  declarators&#40;&#41;  -- list of Declarator objects.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__memberAccess">__memberAccess</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line886" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__memberType">__memberType</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line887" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__constrType">__constrType</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line888" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__declarators">__declarators</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line889" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">mainFile</span>, <span class="variable">pragmas</span>, <span class="variable">comments</span>, <span class="variable">memberAccess</span>, <span class="variable">memberType</span>, <span class="variable">constrType</span>, <span class="variable">declarators</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StateMember.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line881" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StateMember.accept" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line891" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="memberAccess">memberAccess</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StateMember.memberAccess" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line894" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="memberType">memberType</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StateMember.memberType" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line895" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="constrType">constrType</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StateMember.constrType" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line896" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="declarators">declarators</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StateMember.declarators" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line897" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Decl">
<tr><td colspan="2" class="heading">Attributes Inherited from Decl</td></tr>
<tr><td class="inherited"><a href="Decl.html#__file" title="attribute Decl.__file">__file</a>,
<a href="Decl.html#__line" title="attribute Decl.__line">__line</a>,
<a href="Decl.html#__mainFile" title="attribute Decl.__mainFile">__mainFile</a>,
<a href="Decl.html#__builtIn" title="attribute Decl.__builtIn">__builtIn</a>,
<a href="Decl.html#__pragmas" title="attribute Decl.__pragmas">__pragmas</a>,
<a href="Decl.html#__comments" title="attribute Decl.__comments">__comments</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Decl">
<tr><td colspan="2" class="heading">Methods Inherited from Decl</td></tr>
<tr><td class="inherited"><a href="Decl.html#file" title="method Decl.file">file</a>,
<a href="Decl.html#line" title="method Decl.line">line</a>,
<a href="Decl.html#mainFile" title="method Decl.mainFile">mainFile</a>,
<a href="Decl.html#builtIn" title="method Decl.builtIn">builtIn</a>,
<a href="Decl.html#pragmas" title="method Decl.pragmas">pragmas</a>,
<a href="Decl.html#comments" title="method Decl.comments">comments</a>,
<a href="Decl.html#fullDecl" title="method Decl.fullDecl">fullDecl</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
